## ros-indigo-evapc-ros 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(evapc_ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-evapc-ros (0.0.6-1trusty) trusty; urgency=high

  * add dependency for evarobot_viz
  * move im_msgs package from evapc_ros to im_msgs stack
  * change dependencies
  * changelog
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-evapc-ros (0.0.5-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evapc-ros (0.0.4-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evapc-ros (0.0.2-1trusty) trusty; urgency=high

  * created meta package.
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Thu, 27 Aug 2015 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-evapc-ros
Section: misc
Priority: extra
Maintainer: Mehmet Akcakoca <akcakocamehmet@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/evapc_ros
Standards-Version: 3.9.2

Package: ros-indigo-evapc-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-evapc-start, ros-indigo-evarobot-description, ros-indigo-evarobot-diagnostics, ros-indigo-evarobot-navigation, ros-indigo-evarobot-pose-ekf, ros-indigo-evarobot-slam, ros-indigo-evarobot-state-publisher, ros-indigo-evarobot-viz
Description: The evapc_ros meta package provides all the basic packages for model and navigation of Evarobot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-evapc-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
